:: Helper batch file for revert_unchanged.bat
::
::         $Id: //depot.hugwi.ch/meta/diff_no_keywords.bat#2 $
::     $Change: 27483 $
::   $DateTime: 2007/05/23 13:31:40 $
::     $Author: peter.steiner $
:: $Maintainer: peter.steiner $
::    $Created: peter.steiner 2007/05/23 $
::  $Copyright: Hug-Witschi AG, CH-3178 Bsingen, http://www.hugwi.ch $

:: unxdiff and unxcut are the diff and cut variants from http://unxutils.sourceforge.net/
:: The diff and cut tools from cygwin have too much problems with backslash path delimiters

:: The output of "diff -q -s" looks like:
:: "Files C:\DOKUME~1\STEINE~1\LOCALS~1\Temp\t5804t60.tmp and c:\path\myfile differ"
:: "Files C:\DOKUME~1\STEINE~1\LOCALS~1\Temp\t5804t62.tmp and c:\path\myfile2 are identical "
:: We need only the second file name (field 4 with cut)
@unxdiff -q -s -I ".*\$\(Id\|Revision\|Change\|Date\|DateTime\|Author\):.*\$.*" "%1" "%2" | grep "are identical" | unxcut -d " " -f 4
